/*
 * ICESOFT COMMERCIAL SOURCE CODE LICENSE V 1.1
 *
 * The contents of this file are subject to the ICEsoft Commercial Source
 * Code License Agreement V1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of the
 * License at
 * http://www.icesoft.com/license/commercial-source-v1.1.html
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under
 * the License.
 *
 * Copyright 2009-2015 ICEsoft Technologies Canada, Corp. All Rights Reserved.
 */
package com.icesoft.faces.facelets.example.selectonestateprovince;

import com.icesoft.faces.facelets.component.selectOneStateProvince.SelectOneStateProvince;

import javax.faces.model.SelectItem;
import java.io.Serializable;

public class SelectOneStateProvinceExampleBean implements Serializable {

    private SelectOneStateProvince selectOneStateProvince = new SelectOneStateProvince();

    private SelectItem[] countries = {new SelectItem("Please Select..."),
            new SelectItem("US", "United States"),
            new SelectItem("CA", "Canada")};

    private String country = "";

    public SelectOneStateProvince getSelectOneStateProvince() {
        return selectOneStateProvince;
    }

    public void setSelectOneStateProvince(SelectOneStateProvince selectOneStateProvince) {
        this.selectOneStateProvince = selectOneStateProvince;
    }

    public SelectItem[] getCountries() {
        return countries;
    }

    public void setCountries(SelectItem[] countries) {
        this.countries = countries;
    }

    public String getCountry() {
        return country;
    }

    public void setCountry(String country) {
        this.country = country;
    }
}
